|  | Home | Documentation | saml2__AuthnContextType Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
saml2__AuthnContextType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextType is a complexType. More...

`#include <saml2.h>`

## Public Attributes

char * | saml2__AuthnContextClassRef
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnContextClassRef.
_XML | saml2__AuthnContextDecl
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnContextDecl.
char * | saml2__AuthnContextDeclRef
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnContextDeclRef.
_XML | saml2__AuthnContextDecl_
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnContextDecl.
char * | saml2__AuthnContextDeclRef_
| Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnContextDeclRef.
$ int | __sizeAuthenticatingAuthority
| Size of the dynamic array of values of type char* * is 0..unbounded.
char ** | saml2__AuthenticatingAuthority
| Array char* * of size 0..unbounded.

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":AuthnContextType is a complexType.

Note
  struct saml2__AuthnContextType operations:
  - saml2__AuthnContextType* soap_new_saml2__AuthnContextType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__AuthnContextType(struct soap*, saml2__AuthnContextType*) default initialize members
  - int soap_read_saml2__AuthnContextType(struct soap*, saml2__AuthnContextType*) deserialize from a source
  - int soap_write_saml2__AuthnContextType(struct soap*, saml2__AuthnContextType*) serialize to a sink
  - saml2__AuthnContextType* soap_dup_saml2__AuthnContextType(struct soap*, saml2__AuthnContextType* dst, saml2__AuthnContextType <em>src) returns deep copy of saml2__AuthnContextType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__AuthnContextType(saml2__AuthnContextType
  ) deep deletes saml2__AuthnContextType data members, use only on dst after soap_dup_saml2__AuthnContextType(NULL, saml2__AuthnContextType *dst, saml2__AuthnContextType *src) (use soapcpp2 -Ed)

## Member Data Documentation

## ◆ __sizeAuthenticatingAuthority

$ int saml2__AuthnContextType::__sizeAuthenticatingAuthority

Size of the dynamic array of values of type char* * is 0..unbounded.

## ◆ saml2__AuthenticatingAuthority

char* * saml2__AuthnContextType::saml2__AuthenticatingAuthority

Array char* * of size 0..unbounded.

Multiple elements.

## ◆ saml2__AuthnContextClassRef

char* saml2__AuthnContextType::saml2__AuthnContextClassRef

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnContextClassRef.

Choice of element (one of multiple choices).

## ◆ saml2__AuthnContextDecl

_XML saml2__AuthnContextType::saml2__AuthnContextDecl

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnContextDecl.

Choice of element (one of multiple choices).

## ◆ saml2__AuthnContextDecl_

_XML saml2__AuthnContextType::saml2__AuthnContextDecl_

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnContextDecl.

Choice of element (one of multiple choices).

## ◆ saml2__AuthnContextDeclRef

char* saml2__AuthnContextType::saml2__AuthnContextDeclRef

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnContextDeclRef.

Choice of element (one of multiple choices).

## ◆ saml2__AuthnContextDeclRef_

char* saml2__AuthnContextType::saml2__AuthnContextDeclRef_

Element reference "urn:oasis:names:tc:SAML:2.0:assertion:"AuthnContextDeclRef.

Choice of element (one of multiple choices).

The documentation for this struct was generated from the following file:

- saml2.h